Resolve up to 100 governed attachment IDs in request order.
POST
/api/workspace/markdown/inline-content/resolve
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/markdown/inline-content/resolve"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"ScopeToken\": \"example\", \"FileReferenceIds\": [ \"example\" ], \"DraftSessionId\": \"example\", \"CurrentSource\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/markdown/inline-content/resolve';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"ScopeToken":"example","FileReferenceIds":["example"],"DraftSessionId":"example","CurrentSource":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/markdown/inline-content/resolve \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "ScopeToken": "example", "FileReferenceIds": [ "example" ], "DraftSessionId": "example", "CurrentSource": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Resolves inline file references in request order for one authorized source/draft scope.
object
ScopeToken
string
FileReferenceIds
Array<string>
DraftSessionId
string
CurrentSource
string
Examplegenerated
{ "ScopeToken": "example", "FileReferenceIds": [ "example" ], "DraftSessionId": "example", "CurrentSource": "example"}Resolves inline file references in request order for one authorized source/draft scope.
object
ScopeToken
string
FileReferenceIds
Array<string>
DraftSessionId
string
CurrentSource
string
Examplegenerated
{ "ScopeToken": "example", "FileReferenceIds": [ "example" ], "DraftSessionId": "example", "CurrentSource": "example"}Resolves inline file references in request order for one authorized source/draft scope.
object
ScopeToken
string
FileReferenceIds
Array<string>
DraftSessionId
string
CurrentSource
string
Examplegenerated
{ "ScopeToken": "example", "FileReferenceIds": [ "example" ], "DraftSessionId": "example", "CurrentSource": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Array<object>
One ordered inline attachment resolution result.
object
FileReferenceId
string
State
integer format: int32
BodyHandle
string
FileName
string
DetectedMimeType
string
SizeBytes
integer format: int64
ImageWidth
integer format: int32
ImageHeight
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "State": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
Array<object>
One ordered inline attachment resolution result.
object
FileReferenceId
string
State
integer format: int32
BodyHandle
string
FileName
string
DetectedMimeType
string
SizeBytes
integer format: int64
ImageWidth
integer format: int32
ImageHeight
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "State": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}